import {get, post, put, del} from '../http'

const access = {
  getAccessPages(params) {
    return post('access/csms-users-pages', params)
  },
  getRoleOptions(params) {
    return get('access/roles', params)
  },
  addAccessUser(params) {
    return post('access/csms-users', params)
  },
  infoAccessUser(id) {
    return get('access/csms-users/' + id)
  },
  updateAccessUser(params) {
    return put('access/csms-users', params)
  },
  deleteAccessUser(id) {
    return del('access/csms-users/' + id)
  }
}

export default access;